Subject: Re: bug#4816: change of coding system without inquiry

From: Eli Zaretskii <[email-masked]>
Date: Sun, 28 Feb 2016 17:46:47 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Sun, 28 Feb 2016 17:37:13 +1100
> Cc: [email-masked]
> 
> I think this has probably been fixed in the intervening years

Actually, I very much doubt that.  We still silently use the preferred
encoding if the original one doesn't fit.

This is a rare use case.  It's possible that just saying

  (prefer-coding-system 'latin-1)

is all that's needed to get the required prompt back.

I think we should also welcome a patch to provide a user option that
will always force the prompt.